!function(service) {
    function getOrCopyAudioFile() {
        var outFile = Ti.Filesystem.getFile(Ti.Filesystem.externalStorageDirectory, "sound", "ps.mp3");
        var outPath = outFile.nativePath;
        if (!outFile.exists()) {
            var outDir = Ti.Filesystem.getFile(Ti.Filesystem.externalStorageDirectory, "sound");
            if (!outDir.isDirectory() && !outDir.createDirectory()) {
                Ti.API.debug("Failed to create directory.");
                outDir = null;
                return void 0;
            }
            outDir = null;
            var inFile = Ti.Filesystem.getFile(Ti.Filesystem.resourcesDirectory, "ps.mp3");
            try {
                inFile.copy(outPath);
            } catch (theError) {
                Ti.API.debug("Failed to copy file..." + theError);
                inFile = null;
                return void 0;
            }
            inFile = null;
        }
        outFile = null;
        return outPath;
    }
    var serviceIntent = service.getIntent(), title = serviceIntent.hasExtra("title") ? serviceIntent.getStringExtra("title") : "", message = serviceIntent.hasExtra("message") ? serviceIntent.getStringExtra("message") : "", statusBarMessage = title + message, sound = getOrCopyAudioFile(), notificationId = function() {
        var str = "", now = new Date();
        var hours = now.getHours(), minutes = now.getMinutes(), seconds = now.getSeconds();
        str += (hours > 11 ? hours - 12 : hours) + "";
        str += minutes + "";
        str += seconds + "";
        var start = new Date(now.getFullYear(), 0, 0), diff = now - start, oneDay = 864e5, day = Math.floor(diff / oneDay);
        str += day * (hours > 11 ? 2 : 1);
        var ml = now.getMilliseconds() / 100 | 0;
        str += ml;
        return 0 | str;
    }();
    Ti.App.Properties.setString("UUID", UUID);
    var ntfId = Ti.App.Properties.getInt("ntfId", 0), launcherIntent = Ti.Android.createIntent({
        className: "net.iamyellow.gcmjs.GcmjsActivity",
        action: "action" + ntfId,
        packageName: Ti.App.id,
        flags: Ti.Android.FLAG_ACTIVITY_NEW_TASK | Ti.Android.FLAG_ACTIVITY_SINGLE_TOP
    });
    launcherIntent.addCategory(Ti.Android.CATEGORY_LAUNCHER);
    launcherIntent.putExtra("ntfId", ntfId);
    ntfId += 1;
    Ti.App.Properties.setInt("ntfId", ntfId);
    var pintent = Ti.Android.createPendingIntent({
        intent: launcherIntent
    }), notification = Ti.Android.createNotification({
        contentIntent: pintent,
        contentTitle: title,
        contentText: message,
        tickerText: statusBarMessage,
        icon: Ti.App.Android.R.drawable.appicon,
        sound: sound,
        flags: Titanium.Android.ACTION_DEFAULT | Ti.Android.FLAG_AUTO_CANCEL | Ti.Android.FLAG_SHOW_LIGHTS
    });
    Ti.Android.NotificationManager.notify(notificationId, notification);
    service.stop();
}(Ti.Android.currentService);